gi-gsk-4.0.9: Gsk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gsk.Objects.ComponentTransferNode

Contents

- Exported types
- Methods
  - getChild
  - getTransfer
  - new

Description

A render node for applying a `GskComponentTransfer` for each color component of the child node.

Since: 4.20

Synopsis

- newtype ComponentTransferNode = ComponentTransferNode (ManagedPtr ComponentTransferNode)
- class (BoxedPtr o, TypedObject o, IsDescendantOf ComponentTransferNode o) => IsComponentTransferNode o
- toComponentTransferNode :: (MonadIO m, IsComponentTransferNode o) => o -> m ComponentTransferNode
- componentTransferNodeGetChild :: (HasCallStack, MonadIO m, IsComponentTransferNode a) => a -> m RenderNode
- componentTransferNodeGetTransfer :: (HasCallStack, MonadIO m, IsComponentTransferNode a) => a -> ColorChannel -> m ComponentTransfer
- componentTransferNodeNew :: (HasCallStack, MonadIO m, IsRenderNode a) => a -> ComponentTransfer -> ComponentTransfer -> ComponentTransfer -> ComponentTransfer -> m ComponentTransferNode

# Exported types

newtype ComponentTransferNode Source #

Memory-managed wrapper type.

Constructors

ComponentTransferNode (ManagedPtr ComponentTransferNode) |

#### Instances

Instances details

Eq ComponentTransferNode Source # |
Instance details Defined in GI.Gsk.Objects.ComponentTransferNode Methods (==) :: ComponentTransferNode -> ComponentTransferNode -> Bool Source # (/=) :: ComponentTransferNode -> ComponentTransferNode -> Bool Source #
BoxedPtr ComponentTransferNode Source # |
Instance details Defined in GI.Gsk.Objects.ComponentTransferNode Methods boxedPtrCopy :: ComponentTransferNode -> IO ComponentTransferNode Source # boxedPtrFree :: ComponentTransferNode -> IO () Source #
ManagedPtrNewtype ComponentTransferNode Source # |
Instance details Defined in GI.Gsk.Objects.ComponentTransferNode Methods toManagedPtr :: ComponentTransferNode -> ManagedPtr ComponentTransferNode Source #
TypedObject ComponentTransferNode Source # |
Instance details Defined in GI.Gsk.Objects.ComponentTransferNode Methods glibType :: IO GType Source #
HasParentTypes ComponentTransferNode Source # |
Instance details Defined in GI.Gsk.Objects.ComponentTransferNode
type ParentTypes ComponentTransferNode Source # |
Instance details Defined in GI.Gsk.Objects.ComponentTransferNode type ParentTypes ComponentTransferNode = '[RenderNode]

class (BoxedPtr o, TypedObject o, IsDescendantOf ComponentTransferNode o) => IsComponentTransferNode o Source #

Type class for types which can be safely cast to `ComponentTransferNode`, for instance with `toComponentTransferNode`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf ComponentTransferNode o) => IsComponentTransferNode o Source # |
Instance details Defined in GI.Gsk.Objects.ComponentTransferNode

toComponentTransferNode :: (MonadIO m, IsComponentTransferNode o) => o -> m ComponentTransferNode Source #

Cast to `ComponentTransferNode`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

draw, ref, serialize, unref, writeToFile.

#### Getters

getBounds, getChild, getChildren, getNodeType, getOpaqueRect, getTransfer.

#### Setters

None.

## getChild

componentTransferNodeGetChild Source #

Arguments

:: (HasCallStack, MonadIO m, IsComponentTransferNode a) |
=> a | `node`: a component transfer `GskRenderNode`
-> m RenderNode | Returns: the child `GskRenderNode`

Gets the child node that is getting drawn by the given `node`.

Since: 4.20

## getTransfer

componentTransferNodeGetTransfer Source #

Arguments

:: (HasCallStack, MonadIO m, IsComponentTransferNode a) |
=> a | `node`: a component transfer `GskRenderNode`
-> ColorChannel | `component`: the component to get the transfer for
-> m ComponentTransfer | Returns: the `GskComponentTransfer`

Gets the component transfer for one of the components.

Since: 4.20

## new

componentTransferNodeNew Source #

Arguments

:: (HasCallStack, MonadIO m, IsRenderNode a) |
=> a | `child`: The child to apply component transfers to
-> ComponentTransfer | `r`: transfer for the red component
-> ComponentTransfer | `g`: transfer for the green component
-> ComponentTransfer | `b`: transfer for the blue component
-> ComponentTransfer | `a`: transfer for the alpha component
-> m ComponentTransferNode | Returns: A new `GskRenderNode`

Creates a render node that will apply component transfers to a child node.

Since: 4.20